
Figure - Bug #117813
【IOVDEV-26156】【VC1】【0094】【台架】【EE环境】【副屏】【设置】屏保滑动循环的方式轮播
2023-05-08 18:02 - CDTS_Test 吴诗雨

Status: CLOSED Start date: 2023-05-08

Priority: Normal Due date: 2023-05-16

Assignee: CDTS_Test 吴诗雨 % Done: 100%

Category: CD-APP Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 中控版本：03.02.0076.x101��副屏版本：01.00.0094.c103

Resolution: FIXED Degrated: --

Severity: Normal Verified Version:

Reproducibility: Every time Fixed Version: 2023-05-17

Test Type: ST Root cause: 需求变更

Description

环境信息】EE环境

【问题出现时间】：20230508 09：52

【前提条件】：副屏上电

【操作步骤】

1.副屏-设置-显示-当前的屏保

2.主题列表添加主题

3.点击应用按钮

4.查看屏保轮播方式

【实际结果】

1.屏保采用的淡化循环方式轮播

【期望结果】

1.滑动循环方式轮播

【备注】：

【应用版本】：

【硬件版本号】：

【中控版本号】：03.02.0076.x101

【副屏版本号】：01.00.0094.c103

History

#1 - 2023-05-09 17:22 - CD APP-王营

- Status changed from New to ASSIGNED

#2 - 2023-05-15 19:16 - CDTS-TEST 周婷

- Due date set to 2023-05-16

#3 - 2023-05-16 09:51 - CD APP-王营

- % Done changed from 0 to 10

【当前状态】
修改中

【分析】

多张屏保播放使用了原生切换动画，为透明度变化切换，目前有两种方案

1.修改动画，两张图片的切换使用水平滑动的方式。

2.修改布局文件结构，使用ViewPager切换，工作量较大，优先按照第一种方式修改。

【下一步】

继续修改两张图片的轮播动画。

#4 - 2023-05-16 18:10 - CD APP-王营

- Assignee changed from CD APP-王营 to CD APP-王宏

#5 - 2023-05-16 18:14 - CD APP-王宏

- % Done changed from 10 to 50

■ Current conclusion

已提交

■ My analysis

需求开发，直接修改

■Submit URL

https://dev.thundercomm.com/gerrit/c/general/platform/vendor/thundercomm/apps/ScreenSaver/+/200454

#6 - 2023-05-16 19:42 - IoT scm

Gerrit Merge Information：

ID Project Branch Uploader

200454 general/platform/vendor/thundercom

m/apps/ScreenSaver

Pre_figure_turbox-c2130c-la1.1-qssi12

-dev

hong.wang_a@thundersoft.com

AF:ScreenSaver:Modify to flip animationTC-RID: 1201-0300601IssueID: TS-R-BUG-117813Change-Id: I307c87f84c3641d7e49f586115110685bb3db863

#7 - 2023-05-16 19:44 - CD APP-王宏

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD APP-王宏 to CDTS_Test 吴诗雨

- % Done changed from 50 to 100

- Resolution changed from -- to FIXED

- Fixed Version set to 2023-05-17

- Root cause set to 需求变更

#8 - 2023-05-23 18:04 - CDTS_Test 吴诗雨

- Status changed from RESOLVED to VERIFIED

#9 - 2023-05-23 18:04 - CDTS_Test 吴诗雨

- Status changed from VERIFIED to CLOSED

Files

video(22).mp4 1.78 MB 2023-05-08 CDTS_Test 吴诗雨

企业微信截图_16835110322671.png 29.6 KB 2023-05-08 CDTS_Test 吴诗雨
